// tsconfig.json
{
    "compilerOptions": {
        "target": "ESNext",
        "module": "ESNext",
        "declaration": true, // Enable declaration file generation
        "emitDeclarationOnly": false, // Emit both JS and declaration files
        "outDir": "./server/public/bundle/types", // Directory for .d.ts files
        "strict": true,
        "esModuleInterop": true,
        "skipLibCheck": true,
        "forceConsistentCasingInFileNames": true,
        "moduleResolution": "node",
        "baseUrl": ".",
        "paths": {
            "*": [
                "./*"
            ]
        }
    },
    "include": [
        "./shared/**/*"
    ],
    "exclude": [
        "node_modules",
        "dist"
    ]
}
